Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IStraightenerCurve

    java.lang.Object
      igeo.IObject
          igeo.IGeometry
              igeo.ICurve
                  igeo.IStraightenerCurve

All Implemented Interfaces:
  ICurveI, ICurveOp, IParameter, ITransformable

    public class IStraightenerCurve

extends ICurve

3 point curve with straightener force inside.

Version:
  0.7.0.0;
Author:
  Satoru Sugihara

Field Summary
`(package private) IStraightener` | `straightener`

Fields inherited from class igeo.ICurve
`curve`

Fields inherited from class igeo.IObject
`attribute, dynamics, graphics, parameter, server`

Constructor Summary
`IStraightenerCurve(IParticleI p1, IParticleI p2, IParticleI p3)`
`IStraightenerCurve(IParticle p1, IParticle p2, IParticle p3)`
`IStraightenerCurve(IVecI p1, IVecI p2, IVecI p3)`
`IStraightenerCurve(IVec p1, IVec p2, IVec p3)`

Method Summary
`boolean` | `constant()`
`IStraightenerCurve` | `constant(boolean cnst)`
`IStraightenerCurve` | `parent(IObject par)`
`IParticleI` | `pt(int i)`
`IStraightenerCurve` | `removeTarget(int i)`
`IStraightenerCurve` | `removeTarget(IObject obj)`
`IStraightenerCurve` | `target(IObject targetObj)`
`double` | `tension()`
`IStraightenerCurve` | `tension(double tension)`

Methods inherited from class igeo.ICurve
`add, add, add, add, add, add, add, addCP, addCP, addCP, addCP, attr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, clr, cp, cp, cp, cp, cp, cp, cpNum, cpNum, cpNum, cps, createGraphic, deg, deg, deg, div, div, dup, end, endCP, ep, ep, epNum, epNum, epNum, flip, flipU, get, hide, hsb, hsb, hsb, hsb, initCurve, insertCP, insertCP, isClosed, isClosed, isClosed, isRational, isRational, isRational, isValid, knot, knot, knotNum, knotNum, knotNum, knots, knots, knots, layer, layer, len, len, len, mirror, mirror, mul, mul, mv, mv, mv, name, neg, num, num, num, pt, pt, ref, ref, removeCP, removeCP, removeCP, rev, revU, rot, rot, rot, rot, rot, rot, rot, rot, rot2, rot2, rot2, rot2, rot2, rot2, scale, scale, scale, scale, scale1d, scale1d, scale1d, scale1d, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setColor, setHSBColor, setHSBColor, setHSBColor, setHSBColor, shear, shear, shear, shear, shearXY, shearXY, shearXY, shearXY, shearYZ, shearYZ, shearYZ, shearYZ, shearZX, shearZX, shearZX, shearZX, show, start, startCP, sub, sub, sub, tan, tan, transform, transform, transform, transform, translate, translate, translate, u, u, uend, uend, uend, ustart, ustart, ustart`

Methods inherited from class igeo.IObject
`addDynamics, alpha, alphaInt, attr, blue, blueInt, clearDynamics, clearGraphics, clr, clr, del, deletDynamics, deleteDynamics, deleteDynamics, deleteGraphic, dynamicsNum, getColor, getDynamics, getGraphic, getGraphic, getParameter, graphicsNum, green, greenInt, initGraphic, initObject, isVisible, layer, name, red, redInt, resetGraphic, server, setParameter, syncColor, updateGraphic, visible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### straightener

    IStraightener straightener

Constructor Detail

### IStraightenerCurve

    public IStraightenerCurve(IParticleI p1,
                              IParticleI p2,
                              IParticleI p3)

### IStraightenerCurve

    public IStraightenerCurve(IParticle p1,
                              IParticle p2,
                              IParticle p3)

### IStraightenerCurve

    public IStraightenerCurve(IVec p1,
                              IVec p2,
                              IVec p3)

### IStraightenerCurve

    public IStraightenerCurve(IVecI p1,
                              IVecI p2,
                              IVecI p3)

Method Detail

### tension

    public double tension()

### tension

    public IStraightenerCurve tension(double tension)

### constant

    public boolean constant()

### constant

    public IStraightenerCurve constant(boolean cnst)

### pt

    public IParticleI pt(int i)

### parent

    public IStraightenerCurve parent(IObject par)

### target

    public IStraightenerCurve target(IObject targetObj)

### removeTarget

    public IStraightenerCurve removeTarget(int i)

### removeTarget

    public IStraightenerCurve removeTarget(IObject obj)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD